TFTPD(8)

NOME
tftpd - Server Internet Trivial File Transfer Protocol

SINTASSI
tftpd [-l] [-n] [directory ...]

DESCRIZIONE
Tftpd è un server che supporta l'Internet Trivial File Transfer Protocol (RFC 783). I server TFTP operano alla porta indicata nella descrizione del servizio ‘tftp’; vedere services(5). Il server normalmente è avviato da inetd(8).

L'uso di tftp(1) non richiede un account o password sul sistema remoto. A causa della mancanza di informazioni di autenticazione, tftpd consentirà solo l'accesso a file leggibili pubblicamente. I file contenenti la stringa ``/../'' non sono permessi. I file devono essere scritti solo se essi esistono già e sono pubblicamente scrivibili. Notare che questo estende il concetto di “pubblico” per includere tutti gli utenti su tutti gli host che possono essere raggiunti attraverso la rete; ciò potrebbe non essere appropriato su tutti i sistemi, e le sue implicazioni dovrebbero essere considerate prima di abilitare il servizio tfpt. Il server dovrebbe avere l'ID dell'utente con il più basso pribilegio possibile.

L'accesso ai file può essere ristertto invocando tftpd con un elenco di directory che includa fino a 20 percorsi come argomenti del programma server in /etc/inetd.conf. In questo caso l'accesso è ristretto ai file i cui nomi hanno per prefisso una delle directory date. Anche le directory date sono trattate come percorso di ricerca per richieste di nomi di file relativi.

Le opzioni sono:

-l  Fa il log di tutte le richieste usando syslog(3).

-n  Sopprime il riconoscimento negativo delle richieste di nomi di file relativi inesistenti.

VEDERE ANCHE
tftp(1), inetd(8)

STORIA
Il comando tftpd è apparso nella 4.2BSD.